Delete folder
curl --request DELETE \
--url https://api.h0p.co/folder/:id \
--header 'x-api-key: <api-key>'import requests
url = "https://api.h0p.co/folder/:id"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.h0p.co/folder/:id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rowCount": 1
}{
"code": "ACTION_NOT_ALLOWED",
"message": "You do not have permission to delete domains",
"resource": "domains",
"action": "delete"
}{
"code": "NOT_FOUND"
}Folder
Delete folder
Permanently delete folder and all contained short links. Default folder cannot be deleted. Domain/tag counts updated automatically.
DELETE
/
folder
/
:id
Delete folder
Authorizations
API Key authentication for programmatic access.
How to use:
- Create an API key from your dashboard settings
- Include the key in the
x-api-keyheader with each request - API keys have granular permissions (domains, shortLinks, files, stats, apiKeys)
Example:
curl -H "x-api-key: your-api-key-here" https://api.h0p.co/short-link/list
Types of API keys:
- User keys: Linked to your user account (one per organization)
- Bot keys: Autonomous machine users (one per organization)
Security notes:
- Keep your API keys secure and never commit them to version control
- API keys cannot access authentication endpoints (/auth/*)
- Keys can be revoked at any time from the dashboard
Path Parameters
Unique identifier in UUID v7 format
Example:
"01933eb8-541f-7000-a9f4-e4eee80ff04e"
Response
Resource successfully deleted
Number of rows affected by the delete operation
Example:
1